## ros-noetic-rviz-map-plugin 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rviz_map_plugin)

set(THIS_PACKAGE_ROS_DEPS
  roscpp
  rviz
  std_msgs
  mesh_msgs
  hdf5_map_io
)

find_package(catkin REQUIRED COMPONENTS
  ${THIS_PACKAGE_ROS_DEPS}
)

find_package(Boost REQUIRED COMPONENTS system)
find_package(HDF5 REQUIRED COMPONENTS C CXX HL)
find_package(OpenCL 2 REQUIRED)

catkin_package(
  CATKIN_DEPENDS ${THIS_PACKAGE_ROS_DEPS}
  DEPENDS Boost OpenCL HDF5 OpenCL
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${HDF5_INCLUDE_DIRS}
  ${OpenCL_INCLUDE_DIRS}
)

## This setting causes Qt's "MOC" generation to happen automatically.
set(CMAKE_AUTOMOC ON)

if("${rviz_QT_VERSION}" VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  ## pull in all required include dirs, define QT_LIBRARIES, etc.
  include(${QT_USE_FILE})
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED Core Widgets)
  ## make target_link_libraries(${QT_LIBRARIES}) pull in all required dependencies
  set(QT_LIBRARIES Qt5::Widgets)
endif()

add_definitions(-DQT_NO_KEYWORDS)

set(SOURCE_FILES
  src/ClusterLabelDisplay.cpp
  src/ClusterLabelPanel.cpp
  src/ClusterLabelTool.cpp
  src/ClusterLabelVisual.cpp
  src/MapDisplay.cpp
  src/MeshDisplay.cpp
  src/MeshVisual.cpp
  src/RvizFileProperty.cpp
  src/MeshPoseTool.cpp
  src/MeshGoalTool.cpp
)

set(HEADER_FILES
  include/ClusterLabelDisplay.hpp
  include/ClusterLabelPanel.hpp
  include/ClusterLabelVisual.hpp
  include/MapDisplay.hpp
  include/MeshDisplay.hpp
  include/MeshVisual.hpp
  include/ClusterLabelTool.hpp
  include/CLUtil.hpp
  include/RvizFileProperty.hpp
  include/MeshPoseTool.hpp
  include/MeshGoalTool.hpp
)

add_library(${PROJECT_NAME} ${SOURCE_FILES} ${HEADER_FILES} ${HDF5_LIBRARIES} ${HDF5_HL_LIBRARIES})

target_link_libraries(${PROJECT_NAME}
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
  ${HDF5_LIBRARIES}
  ${HDF5_HL_LIBRARIES}
  ${OpenCL_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES
  rviz_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/icons)

get_property(dirs DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY INCLUDE_DIRECTORIES)
foreach(dir ${dirs})
  message(STATUS "dir='${dir}'")
endforeach()

=== debian/changelog ===
ros-noetic-rviz-map-plugin (1.1.0-1focal) focal; urgency=high

  * fixed GetUUIDs service call in MeshDisplay
  * added option to visualize vertex costs using the rviz Map Visuslization
  * removed unused messages
  * added support for multiple meshes to be visualized at the same time
  * added cleaning of generalmesh before adding new data
  * removed old plugin and displays
  * fixed thin wireframe
  * fixed normals shading
  * improved normals performance
  * fixed rainbow-redgreen cost color type change
  * fixed duplicate vertex cost types
  * fixed map3d and fixed loading Vertex colors when updating the VertexColors topic
  * MeshDisplay: removed visual access from topic and service callbacks
  * added option to stop MeshDisplay listening to MeshMsgs
  * MeshDisplay now woring with MeshMap
  * added properties to MeshDisplay
  * added Map3D file dialog property
  * added textured mesh display for mesh msgs visualization to rviz_map_plugin
  * combined mesh-plugin and map-plugin texture mesh visuals
  * fixed mpi error
  * resolved catkin lint problems

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 22:00:00 -0000

ros-noetic-rviz-map-plugin (1.0.1-1focal) focal; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-rviz-map-plugin (1.0.0-1focal) focal; urgency=high

  * release version 1.0.0

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 25 Apr 2020 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rviz-map-plugin
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ocl-icd-opencl-dev, opencl-headers, qtbase5-dev, ros-noetic-catkin, ros-noetic-hdf5-map-io, ros-noetic-mesh-msgs, ros-noetic-roscpp, ros-noetic-rviz, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/mash_tools/rviz_map_plugin
Standards-Version: 3.9.2

Package: ros-noetic-rviz-map-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ocl-icd-opencl-dev, opencl-headers, ros-noetic-hdf5-map-io, ros-noetic-mesh-msgs, ros-noetic-roscpp, ros-noetic-rviz, ros-noetic-std-msgs
Description: RViz display types and tools for the mesh_msgs package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rviz-map-plugin//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
